> ## Documentation Index
> Fetch the complete documentation index at: https://docs.threetone.in/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Mcp Tool Configuration Override

> Retrieve configuration overrides for a specific MCP tool.



## OpenAPI

````yaml /api-reference/openapi.json get /v1/convai/mcp-servers/{mcp_server_id}/tool-configs/{tool_name}
openapi: 3.1.0
info:
  title: Threetone API Documentation
  description: >-
    This is the documentation for the Threetone API. You can use this API to use
    our service programmatically with API keys sent in the x-api-key header. You
    can create and manage API keys in the dashboard at
    https://threetone.in/app/developers/api-keys.
  version: '1.0'
servers:
  - url: https://api.threetone.in
    description: Production
security: []
paths:
  /v1/convai/mcp-servers/{mcp_server_id}/tool-configs/{tool_name}:
    get:
      tags:
        - Agents Platform
      summary: Get Mcp Tool Configuration Override
      description: Retrieve configuration overrides for a specific MCP tool.
      operationId: get_mcp_tool_config_override_route
      parameters:
        - name: mcp_server_id
          in: path
          required: true
          schema:
            type: string
            description: ID of the MCP Server.
            title: Mcp Server Id
          description: ID of the MCP Server.
        - name: tool_name
          in: path
          required: true
          schema:
            type: string
            description: Name of the MCP tool to retrieve config overrides for.
            title: Tool Name
          description: Name of the MCP tool to retrieve config overrides for.
        - name: x-api-key
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: >-
              Your API key for programmatic access. Send it in the x-api-key
              header; you can create and manage keys from the Developers page.
            title: X-Api-Key
          description: >-
            Your API key for programmatic access. Send it in the x-api-key
            header; you can create and manage keys from the Developers page.
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MCPToolConfigOverride'
        '404':
          description: Tool config override not found
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    MCPToolConfigOverride:
      properties:
        tool_name:
          type: string
          title: Tool Name
          description: The name of the MCP tool
        pre_tool_speech:
          anyOf:
            - $ref: '#/components/schemas/PreToolSpeechMode'
            - type: 'null'
          description: >-
            If set, overrides the server's pre_tool_speech setting for this
            tool.
        interruption_mode:
          anyOf:
            - $ref: '#/components/schemas/ToolInterruptionMode'
            - type: 'null'
          description: >-
            If set, overrides the server's interruption_mode setting for this
            tool.
        tool_call_sound:
          anyOf:
            - $ref: '#/components/schemas/ToolCallSoundType'
            - type: string
              const: 'off'
            - type: 'null'
          title: Tool Call Sound
          description: >-
            Overrides the server's tool_call_sound setting for this tool. A
            sound name plays that sound; 'off' overrides to no sound (silence);
            null means do not override (inherit the server default).
        tool_call_sound_behavior:
          anyOf:
            - $ref: '#/components/schemas/ToolCallSoundBehavior'
            - type: 'null'
          description: >-
            If set, overrides the server's tool_call_sound_behavior setting for
            this tool
        execution_mode:
          anyOf:
            - $ref: '#/components/schemas/ToolExecutionMode'
            - type: 'null'
          description: If set, overrides the server's execution_mode setting for this tool
        response_timeout_secs:
          anyOf:
            - type: integer
              maximum: 300
              minimum: 5
            - type: 'null'
          title: Response Timeout Secs
          description: >-
            If set, overrides the server's response timeout for this MCP tool
            (seconds).
        assignments:
          items:
            $ref: '#/components/schemas/DynamicVariableAssignment'
          type: array
          title: Assignments
          description: Dynamic variable assignments for this MCP tool
        input_overrides:
          anyOf:
            - additionalProperties:
                oneOf:
                  - $ref: '#/components/schemas/ConstantSchemaOverride'
                  - $ref: '#/components/schemas/DynamicVariableSchemaOverride'
                  - $ref: '#/components/schemas/LLMSchemaOverride'
                  - $ref: '#/components/schemas/OmitSchemaOverride'
                discriminator:
                  propertyName: source
                  mapping:
                    constant:
                      $ref: '#/components/schemas/ConstantSchemaOverride'
                    dynamic_variable:
                      $ref: '#/components/schemas/DynamicVariableSchemaOverride'
                    llm:
                      $ref: '#/components/schemas/LLMSchemaOverride'
                    omit:
                      $ref: '#/components/schemas/OmitSchemaOverride'
              type: object
            - type: 'null'
          title: Input Overrides
          description: Mapping of json path to input override configuration
        response_mocks:
          anyOf:
            - items:
                $ref: '#/components/schemas/ToolResponseMockConfig'
              type: array
            - type: 'null'
          title: Response Mocks
          description: >-
            Mock responses with optional parameter conditions. Evaluated
            top-to-bottom; first match wins.
      type: object
      required:
        - tool_name
      title: MCPToolConfigOverride
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    PreToolSpeechMode:
      type: string
      enum:
        - auto
        - force
        - 'off'
      title: PreToolSpeechMode
    ToolInterruptionMode:
      type: string
      enum:
        - allow
        - disable_during_tool
        - disable_during_tool_and_turn
      title: ToolInterruptionMode
      default: allow
    ToolCallSoundType:
      type: string
      enum:
        - typing
        - elevator1
        - elevator2
        - elevator3
        - elevator4
      title: ToolCallSoundType
      description: Predefined tool call sound types.
    ToolCallSoundBehavior:
      type: string
      enum:
        - auto
        - always
      title: ToolCallSoundBehavior
      description: Determines how the tool call sound should be played.
    ToolExecutionMode:
      type: string
      enum:
        - immediate
        - post_tool_speech
        - async
      title: ToolExecutionMode
    DynamicVariableAssignment:
      properties:
        source:
          type: string
          const: response
          title: Source
          description: >-
            The source to extract the value from. Currently only 'response' is
            supported.
          default: response
        dynamic_variable:
          type: string
          title: Dynamic Variable
          description: The name of the dynamic variable to assign the extracted value to
        value_path:
          type: string
          title: Value Path
          description: >-
            Dot notation path to extract the value from the source (e.g.,
            'user.name' or 'data.0.id')
        sanitize:
          type: boolean
          title: Sanitize
          description: >-
            If true, this assignment's value will be removed from the tool
            response before sending to the LLM and transcript, but still
            processed for variable assignment.
          default: false
        preserve_native_type:
          type: boolean
          title: Preserve Native Type
          description: >-
            If true, non-scalar values (lists, objects) extracted from the tool
            response are stored as their native type instead of being
            stringified to JSON. Enable this to use extracted arrays directly as
            list dynamic variables.
          default: false
      additionalProperties: false
      type: object
      required:
        - dynamic_variable
        - value_path
      title: DynamicVariableAssignment
      description: >-
        Configuration for extracting values from tool responses and assigning
        them to dynamic variables.
      example:
        dynamic_variable: user_name
        preserve_native_type: false
        sanitize: false
        source: response
        value_path: user.name
    ConstantSchemaOverride:
      properties:
        source:
          type: string
          const: constant
          title: Source
          default: constant
        constant_value:
          anyOf:
            - type: string
            - type: integer
            - type: number
            - type: boolean
            - items: {}
              type: array
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Constant Value
          description: The constant value to use
      type: object
      required:
        - constant_value
      title: ConstantSchemaOverride
    DynamicVariableSchemaOverride:
      properties:
        source:
          type: string
          const: dynamic_variable
          title: Source
          default: dynamic_variable
        dynamic_variable:
          type: string
          minLength: 1
          title: Dynamic Variable
          description: The name of the dynamic variable to use
      type: object
      required:
        - dynamic_variable
      title: DynamicVariableSchemaOverride
    LLMSchemaOverride:
      properties:
        source:
          type: string
          const: llm
          title: Source
          default: llm
        prompt:
          anyOf:
            - type: string
            - type: 'null'
          title: Prompt
          description: >-
            Prompt override for the LLM. If not provided, the original schema
            description is used.
      type: object
      title: LLMSchemaOverride
    OmitSchemaOverride:
      properties:
        source:
          type: string
          const: omit
          title: Source
          default: omit
      type: object
      title: OmitSchemaOverride
    ToolResponseMockConfig:
      properties:
        parameter_conditions:
          items:
            $ref: '#/components/schemas/UnitTestToolCallParameter'
          type: array
          title: Parameter Conditions
          description: If the list is empty, the mock will always activate.
        mock_result:
          type: string
          title: Mock Result
          description: The return value the LLM sees when this mock is active.
        is_error:
          type: boolean
          title: Is Error
          description: >-
            If true, the mock result is surfaced to the LLM as a tool error
            rather than a successful result.
          default: false
      type: object
      required:
        - mock_result
      title: ToolResponseMockConfig
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    UnitTestToolCallParameter:
      properties:
        eval:
          oneOf:
            - $ref: '#/components/schemas/LLMParameterEvaluationStrategy'
            - $ref: '#/components/schemas/RegexParameterEvaluationStrategy'
            - $ref: '#/components/schemas/ExactParameterEvaluationStrategy'
            - $ref: '#/components/schemas/MatchAnythingParameterEvaluationStrategy'
          title: Eval
          discriminator:
            propertyName: type
            mapping:
              anything:
                $ref: '#/components/schemas/MatchAnythingParameterEvaluationStrategy'
              exact:
                $ref: '#/components/schemas/ExactParameterEvaluationStrategy'
              llm:
                $ref: '#/components/schemas/LLMParameterEvaluationStrategy'
              regex:
                $ref: '#/components/schemas/RegexParameterEvaluationStrategy'
        path:
          type: string
          title: Path
      type: object
      required:
        - eval
        - path
      title: UnitTestToolCallParameter
    LLMParameterEvaluationStrategy:
      properties:
        type:
          type: string
          const: llm
          title: Type
        description:
          type: string
          title: Description
          description: A description of the evaluation strategy to use for the test.
      type: object
      required:
        - type
        - description
      title: LLMParameterEvaluationStrategy
    RegexParameterEvaluationStrategy:
      properties:
        type:
          type: string
          const: regex
          title: Type
        pattern:
          type: string
          title: Pattern
          description: A regex pattern to match the agent's response against.
      type: object
      required:
        - type
        - pattern
      title: RegexParameterEvaluationStrategy
    ExactParameterEvaluationStrategy:
      properties:
        type:
          type: string
          const: exact
          title: Type
        expected_value:
          type: string
          title: Expected Value
          description: The exact string value that the parameter must match.
      type: object
      required:
        - type
        - expected_value
      title: ExactParameterEvaluationStrategy
    MatchAnythingParameterEvaluationStrategy:
      properties:
        type:
          type: string
          const: anything
          title: Type
      type: object
      required:
        - type
      title: MatchAnythingParameterEvaluationStrategy

````